function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import { Table } from 'antd';
import React, { useEffect, useState } from 'react';
import apis from '../../../constants/api';
import request from '../../../utils/ajax';
import './styles/output.less';
var VisualOutputTable = function VisualOutputTable(_ref) {
  var taskId = _ref.taskId,
    jobData = _ref.jobData;
  var classPrefix = 'cdp-visual-output';
  var _useState = useState([]),
    _useState2 = _slicedToArray(_useState, 2),
    dataSource = _useState2[0],
    setDataSource = _useState2[1];
  var _useState3 = useState(true),
    _useState4 = _slicedToArray(_useState3, 2),
    loading = _useState4[0],
    setLoading = _useState4[1];
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    failed = _useState6[0],
    setFailed = _useState6[1];
  useEffect(function () {
    queryInfo();
  }, []);
  function queryInfo() {
    setFailed(false);
    setLoading(true);
    // 有来源节点，则通过后端接口，获取最新的来源结构
    request(apis.queryOutputDataSet, {
      method: 'get',
      params: {
        jobId: taskId
      }
    }).then(function (res) {
      if (!res || !res.data) return;
      var list = res.data;
      list.forEach(function (item) {
        var _jobData$updateSettin;
        item.updateType = jobData === null || jobData === void 0 ? void 0 : (_jobData$updateSettin = jobData.updateSetting) === null || _jobData$updateSettin === void 0 ? void 0 : _jobData$updateSettin.type;
      });
      setDataSource(res.data);
    }).catch(function (err) {
      setFailed(true);
      console.error('获取输出数据集信息失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  var columnList = [{
    title: '输出',
    dataIndex: 'datasetName'
  }, {
    title: '节点名',
    dataIndex: 'nodeName'
  }
  // getUpdateColumn(),
  ];
  return /*#__PURE__*/React.createElement("div", {
    className: classPrefix
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(classPrefix, "-title")
  }, "\u8F93\u51FA"), /*#__PURE__*/React.createElement(Table, {
    rowKey: "id",
    pagination: false,
    columns: columnList,
    dataSource: dataSource,
    loading: loading
  }));
};
export default VisualOutputTable;